package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CouponInfo{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String name;
    private String discription;
    private String discountMoney;
    private String limitMoney;
    private Integer typeFlag;
    private Integer statusFlag;
    private Integer availableDays;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getName(){
        return this.name;
    }

    public void setName(String name){
        this.name = name;
    }
    public String getDiscription(){
        return this.discription;
    }

    public void setDiscription(String discription){
        this.discription = discription;
    }
    public String getDiscountMoney(){
        return this.discountMoney;
    }

    public void setDiscountMoney(String discountMoney){
        this.discountMoney = discountMoney;
    }
    public String getLimitMoney(){
        return this.limitMoney;
    }

    public void setLimitMoney(String limitMoney){
        this.limitMoney = limitMoney;
    }
    public Integer getTypeFlag(){
        return this.typeFlag;
    }

    public void setTypeFlag(Integer typeFlag){
        this.typeFlag = typeFlag;
    }
    public Integer getStatusFlag(){
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag){
        this.statusFlag = statusFlag;
    }
    public Integer getAvailableDays(){
        return this.availableDays;
    }

    public void setAvailableDays(Integer availableDays){
        this.availableDays = availableDays;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

